itpp::Audio_Sample< enc_float > Class Reference
Source Coding Module » Audio

Audio samples encoded as floats. More...

`#include <itpp/srccode/audiosample.h>`

## Public Types

typedef float | enc_sample_type

## Static Public Member Functions

static enc_sample_type | encode (const double &s)
static double | decode (const enc_sample_type &s)

## Static Public Attributes

static const std::size_t | enc_sample_size = sizeof(enc_sample_type)

## Detailed Description

Audio samples encoded as floats.

Samples are NOT saturated to +/- 1.0 during conversion to this format. Encoded values are limited to [INT_MIN,INT_MAX] to avoid overflow on conversion.

Definition at line 254 of file audiosample.h.

## Member Typedef Documentation

## enc_sample_type

typedef float itpp::Audio_Sample< enc_float >::enc_sample_type

Definition at line 257 of file audiosample.h.

## Member Function Documentation

## encode()

static enc_sample_type itpp::Audio_Sample< enc_float >::encode | ( | const double & | s | ) |

inlinestatic

Definition at line 259 of file audiosample.h.

## decode()

static double itpp::Audio_Sample< enc_float >::decode | ( | const enc_sample_type & | s | ) |

inlinestatic

Definition at line 263 of file audiosample.h.

## Member Data Documentation

## enc_sample_size

const std::size_t itpp::Audio_Sample< enc_float >::enc_sample_size = sizeof(enc_sample_type)

static

Definition at line 258 of file audiosample.h.

The documentation for this class was generated from the following file:

- itpp/srccode/audiosample.h

Generated on Mon Jun 10 2024 11:49:33 for IT++ by Doxygen 1.9.8